
package de.ivu.elect.presentation.niederschrift.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.niederschrift.entity.NiederschriftKorrektur;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(NiederschriftKorrekturActionMenu.COMPONENT_NAME)
public class NiederschriftKorrekturActionMenu extends AbstractActionMenuModelBuilder<NiederschriftKorrektur> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftKorrekturActionMenu";

  @Inject
  private transient NiederschriftKorrekturEditAction niederschriftKorrekturEditAction;

  @Inject
  private transient NiederschriftKorrekturDeleteAction niederschriftKorrekturDeleteAction;

  public NiederschriftKorrekturActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<NiederschriftKorrektur>> getActionEntriesSorted() {
    List<ActionEntry<NiederschriftKorrektur>> result = new ArrayList<>();

    result.add(niederschriftKorrekturEditAction);
    result.add(niederschriftKorrekturDeleteAction);

    return result;
  }
}
